--- title: "Get Secret Value" slug: "secretmanager-getsecretvalue" updated: 2026-09-17T10:25:43Z published: 2026-09-17T10:25:43Z canonical: "api.ncloud-docs.com/secretmanager-getsecretvalue" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Secret Value Available in VPC Get a secret value. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/secrets/{secretId}/values | ### Request headers For information about the headers common to all Secret Manager APIs, see [Secret Manager request headers](/docs/en/secretmanager-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `secretId` | String | Required | Secret ID - See [Get Secret List](/docs/en/secretmanager-getsecretlist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://secretmanager.apigw.ntruss.com/api/v1/secrets/{secretId}/values' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `data` | Object | - | Response result | | `data.decryptedSecretChain` | Object | - | Decrypted secret chain | | `data.decryptedSecretChain.previous` | String | - | Previously used secret value (PREVIOUS stage) based on the ACTIVE stage | | `data.decryptedSecretChain.active` | String | - | Active secret value (ACTIVE stage) that are currently in normal use | | `data.decryptedSecretChain.pending` | String | - | Value of secret (PENDING stage) whose rotation has started anew and are waiting for the rotation to complete | | `data.rotationTargets` | Array | - | List of secret values to be rotated | ### Response status codes For information about the HTTP status codes common to all Secret Manager APIs, see [Secret Manager response status codes](/docs/en/secretmanager-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "SUCCESS", "data": { "decryptedSecretChain": { "previous": "{\"abc\":\"cba\"}", "active": "{\"abc\":\"cba\"}", "pending": "{\"abc\":\"cba\"}" }, "rotationTargets": [ "abc" ] } } ```